use utf8;
use strict;
use warnings;
use Test::More;
use Data::Dumper;
use FindBin '$Bin';
BEGIN{unshift @INC,$Bin.'/../lib';use_ok('Kawari::Dictionary')};
BEGIN{unshift @INC,$Bin.'/../lib';use_ok('Kawari::Script')};

my $dict = Kawari::Dictionary->new;
$dict->load('kawarirc.kis');
is($dict->get('test',0)->to_string,'this is the test');
my $script = Kawari::Script->new();
$script->parse('aa');
$dict->set('multi1',$script,0);
is($dict->get('multi1',0)->to_string,'aa');
is($dict->get('multi2',0)->to_string,'HMX-$[6*2]');
print Dumper($dict);

done_testing();
