use utf8;
use strict;
use warnings;
use Test::More;
use Data::Dumper;
use FindBin '$Bin';
BEGIN{unshift @INC,$Bin.'/../lib';use_ok('Kawari::Script')};

my $script = Kawari::Script->new;
my $value = $script->parse('"a$(set rr $[0*5])\"a\"\\\\"a$[2+1]666$(set aaa $(get s)$aaaa[$[${en}*2]]$[5+2/3]),aaa');
is($value,',aaa');
print Dumper($script);

print $script->to_string();

done_testing();
